Subject: Re: [bnx2] [Regression 4.8] Driver loading fails without firmware

From: Baoquan He <[email-masked]>
Date: Wed, 26 Oct 2016 20:00:21 +0800

Hi Paul,

Sorry for this.

On 10/26/16 at 12:31pm, Paul Menzel wrote:
> > >         dev->hw_features = NETIF_F_IP_CSUM | NETIF_F_SG |
> > > @@ -8607,6 +8608,7 @@ bnx2_init_one(struct pci_dev *pdev, const struct
> > > pci_device_id *ent)
> > >         return 0;
> > > 
> > >  error:
> > > +       bnx2_release_firmware(bp);
> > >         pci_iounmap(pdev, bp->regview);
> > >         pci_release_regions(pdev);
> > >         pci_disable_device(pdev);
> 
> Baoquan, could you please fix this regression. My suggestion is, that you
> add the old code back, but check if the firmware has been loaded. If it
> hasn’t, load it again.
> 
> That way, people can update their Linux kernel, and it continues working
> without changing the initramfs, or anything else.

I saw your mail but I am also not familiar with bnx2 driver. As the
commit log says I just tried to make bnx2 driver reset itself earlier.

So you did a git bisect and found this commit caused the regression,
right? If yes, and network developers have no action, I will look into
the code and see if I have idea to fix it.

Thanks
Baoquan